Sheets

Rename, pin, order, archive or edit an in-house Space sheet

PATCH
/v1/space/sheets/{sheet_id}
curl -X PATCH "https://api.orchestor.io/v1/space/sheets/%3Csheet_id%3E" \  -H "Authorization: Bearer $API_KEY" \  -H "X-Workspace-ID: wks_abc123" \  -H "Content-Type: application/json" \  -d '{  "archived": true,  "pinned": true,  "sort_position": 1,  "tabs": [    {      "columns": [        {          "color": "string",          "currencyCode": "string",          "description": "string",          "hidden": true,          "id": "string",          "options": [            "string"          ],          "pinned": true,          "title": "string",          "type": "text",          "width": 1        }      ],      "deleted": true,      "filter": {        "columnId": "string",        "value": "string"      },      "hidden": true,      "id": "string",      "rows": [        {          "id": "string",          "parentId": "string",          "values": {}        }      ],      "sort": {        "columnId": "string",        "direction": "asc"      },      "title": "string"    }  ],  "title": "string",  "updated_at": "string"}'
{  "data": {    "archived": true,    "created_at": "2026-01-01T00:00:00Z",    "deleted_at": "2026-01-01T00:00:00Z",    "folder_id": null,    "id": "<string>",    "pinned": true,    "sort_position": 0,    "tabs": [      {        "columns": [          {            "color": "<string>",            "currencyCode": "<string>",            "description": "<string>",            "hidden": true,            "id": "<string>",            "options": [              "<string>"            ],            "pinned": true,            "title": "<string>",            "type": "text",            "width": 104          }        ],        "deleted": true,        "filter": {          "columnId": "<string>",          "value": "<string>"        },        "hidden": true,        "id": "<string>",        "rows": [          {            "id": "<string>",            "parentId": "<string>",            "values": {}          }        ],        "sort": {          "columnId": "<string>",          "direction": "asc"        },        "title": "<string>"      }    ],    "title": "<string>",    "updated_at": "2026-01-01T00:00:00Z",    "workspace_id": "<string>"  }}

Get your Orchestor API key

Create an API key in your workspace settings.

Authorizations

Satisfy one of these options:

  • Session cookie
  • API key

Authentication details

cookie
wos-session

Browser session established by signing in to the web app. The server checks your workspace membership and permissions. Supply X-Workspace-ID for workspace-scoped operations. For server-to-server requests, use an API key when the operation supports it.

Path Parameters

sheet_idstringpathrequired
Pattern
^sht_[a-f0-9]{24}$

Headers

X-Workspace-IDstringheader

Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.

Example"wks_abc123"

Bodyapplication/jsonrequired

Additional properties
Not allowed
archivedbooleanbody
pinnedbooleanbody
sort_positionintegerbody
Value range
≥ 0, ≤ 2147483647
tabsobject[]body
Item count
≥ 1
tabs[]objectbody
Additional properties
Not allowed
tabs[].columnsobject[]body
tabs[].columns[]objectbody
Additional properties
Not allowed
tabs[].columns[].colorstringbody
tabs[].columns[].currencyCodestringbody
tabs[].columns[].descriptionstringbody
tabs[].columns[].hiddenbooleanbody
tabs[].columns[].idstringbodyrequired
String length
≥ 1, ≤ 256
tabs[].columns[].optionsstring[]body
tabs[].columns[].options[]stringbody
tabs[].columns[].pinnedbooleanbody
tabs[].columns[].titlestringbodyrequired
tabs[].columns[].typestringenum<string>bodyrequired
Allowed
textnumbercurrencyurldomaindatetimestampemailimagecheckboxselectmulti-select
tabs[].columns[].widthintegerbody
Value range
≥ 104
tabs[].deletedbooleanbody
tabs[].filterobjectbody
Additional properties
Not allowed
tabs[].filter.columnIdstringbodyrequired
String length
≥ 1, ≤ 256
tabs[].filter.valuestringbodyrequired
tabs[].hiddenbooleanbody
tabs[].idstringbodyrequired
String length
≥ 1, ≤ 256
tabs[].rowsobject[]bodyrequired
tabs[].rows[]objectbody
Additional properties
Not allowed
tabs[].rows[].idstringbodyrequired
String length
≥ 1, ≤ 256
tabs[].rows[].parentIdstringbody
String length
≥ 1, ≤ 256
tabs[].rows[].valuesobjectbody
tabs[].rows[].values.*string | number | boolean | string[]body

Match at least one of the following

Variant 1: string

tabs[].rows[].values.*stringbody

Variant 2: number

tabs[].rows[].values.*numberbody

Variant 3: boolean

tabs[].rows[].values.*booleanbody

Variant 4: string[]

tabs[].rows[].values.*[]stringbody
tabs[].sortobjectbody
Additional properties
Not allowed
tabs[].sort.columnIdstringbodyrequired
String length
≥ 1, ≤ 256
tabs[].sort.directionstringenum<string>bodyrequired
Allowed
ascdesc
tabs[].titlestringbodyrequired
String length
≥ 1, ≤ 100
titlestringbody
String length
≥ 1, ≤ 100
updated_atstringbodyrequiredformat:date-time

Response

application/json

Updated sheet

dataSpaceSheetrequired
data.archivedbooleanrequired
data.created_atstringrequiredformat:date-time
data.deleted_atstring | nullrequiredformat:date-time
data.folder_idstring | nulldefault:null
data.idstringrequired
Pattern
^sht_[a-f0-9]{24}$
data.pinnedbooleanrequired
data.sort_positionintegerrequired
Value range
≥ 0, ≤ 2147483647
data.tabsobject[]required
Item count
≥ 1
data.tabs[]object
Additional properties
Not allowed
data.tabs[].columnsobject[]
data.tabs[].columns[]object
Additional properties
Not allowed
data.tabs[].columns[].colorstring
data.tabs[].columns[].currencyCodestring
data.tabs[].columns[].descriptionstring
data.tabs[].columns[].hiddenboolean
data.tabs[].columns[].idstringrequired
String length
≥ 1, ≤ 256
data.tabs[].columns[].optionsstring[]
data.tabs[].columns[].options[]string
data.tabs[].columns[].pinnedboolean
data.tabs[].columns[].titlestringrequired
data.tabs[].columns[].typestringenum<string>required
Allowed
textnumbercurrencyurldomaindatetimestampemailimagecheckboxselectmulti-select
data.tabs[].columns[].widthinteger
Value range
≥ 104
data.tabs[].deletedboolean
data.tabs[].filterobject
Additional properties
Not allowed
data.tabs[].filter.columnIdstringrequired
String length
≥ 1, ≤ 256
data.tabs[].filter.valuestringrequired
data.tabs[].hiddenboolean
data.tabs[].idstringrequired
String length
≥ 1, ≤ 256
data.tabs[].rowsobject[]required
data.tabs[].rows[]object
Additional properties
Not allowed
data.tabs[].rows[].idstringrequired
String length
≥ 1, ≤ 256
data.tabs[].rows[].parentIdstring
String length
≥ 1, ≤ 256
data.tabs[].rows[].valuesobject
data.tabs[].rows[].values.*string | number | boolean | string[]

Match at least one of the following

Variant 1: string

data.tabs[].rows[].values.*string

Variant 2: number

data.tabs[].rows[].values.*number

Variant 3: boolean

data.tabs[].rows[].values.*boolean

Variant 4: string[]

data.tabs[].rows[].values.*[]string
data.tabs[].sortobject
Additional properties
Not allowed
data.tabs[].sort.columnIdstringrequired
String length
≥ 1, ≤ 256
data.tabs[].sort.directionstringenum<string>required
Allowed
ascdesc
data.tabs[].titlestringrequired
String length
≥ 1, ≤ 100
data.titlestringrequired
String length
≥ 1, ≤ 100
data.updated_atstringrequiredformat:date-time
data.workspace_idstringrequired